#!/usr/local/bin/bash 

############################################################################
#    Copyright (C) 2005 by David                                           #
#    david@dward.us                                                        #
#                                                                          #
#    This program is free software; you can redistribute it and#or modify  #
#    it under the terms of the GNU General Public License as published by  #
#    the Free Software Foundation; either version 2 of the License, or     #
#    (at your option) any later version.                                   #
#                                                                          #
#    This program is distributed in the hope that it will be useful,       #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#    GNU General Public License for more details.                          #
#                                                                          #
#    You should have received a copy of the GNU General Public License     #
#    along with this program; if not, write to the                         #
#    Free Software Foundation, Inc.,                                       #
#    59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             #
###########################################################################

ver="BETA2"

if [ -f madbash.conf ]
	then	. madbash.conf
else echo "$0 Can't read madbash.conf.  Check permissions, that is exists or that its not malformed."
exit 0
fi

# These functions assign all the variables to their data from the log file submitted through running string searches on the scores.txt file created by if .. then statement at the bottom of this script.  It then deletes this scores.txt file to be neat and tidy.

team1 () {	
team1=`sed -n 2p scores.txt | awk '{split($0,a," ")} {print a[1]}'`
team1q1=`sed -n 2p scores.txt | awk '{split($0,a," ")} {print a[2]}'`
team1q2=`sed -n 2p scores.txt | awk '{split($0,a," ")} {print a[3]}'`
team1q3=`sed -n 2p scores.txt | awk '{split($0,a," ")} {print a[4]}'`
team1q4=`sed -n 2p scores.txt | awk '{split($0,a," ")} {print a[5]}'`
team1ot=`sed -n 2p scores.txt | awk '{split($0,a," ")} {print a[6]}'`
team1final=`sed -n 2p scores.txt | awk '{split($0,a," ")} {print a[7]}'`
}
# combine these two in a function and use $1 and $2 as team num and line num.
team2 () {
team2=`sed -n 3p scores.txt | awk '{split($0,a," ")} {print a[1]}'`
team2q1=`sed -n 3p scores.txt | awk '{split($0,a," ")} {print a[2]}'`
team2q2=`sed -n 3p scores.txt | awk '{split($0,a," ")} {print a[3]}'`
team2q3=`sed -n 3p scores.txt | awk '{split($0,a," ")} {print a[4]}'`
team2q4=`sed -n 3p scores.txt | awk '{split($0,a," ")} {print a[5]}'`
team2ot=`sed -n 3p scores.txt | awk '{split($0,a," ")} {print a[6]}'`
team2final=`sed -n 3p scores.txt | awk '{split($0,a," ")} {print a[7]}'`
rm scores.txt
}

# an experiment to extract statistic data on individual players.  Work in progress.

pass () {
pass=`cat "$log" |  grep -A 1 -m 2 PASSING` ; echo $"$pass" > pass.txt

team1passerF=`sed -n 5p pass.txt | awk '{split($0,a," ")} {print a[1]}'`
team1passerL=`sed -n 5p pass.txt | awk '{split($0,a," ")} {print a[2]}'`
team1passerC=`sed -n 5p pass.txt | awk '{split($0,a," ")} {print a[3]}'`
team1passerA=`sed -n 5p pass.txt | awk '{split($0,a," ")} {print a[4]}'`
team1passerY=`sed -n 5p pass.txt | awk '{split($0,a," ")} {print a[5]}'`
team1passerP=`sed -n 5p pass.txt | awk '{split($0,a," ")} {print a[6]}'`
team1passerTD=`sed -n 5p pass.txt | awk '{split($0,a," ")} {print a[9]}'`
team1passerI=`sed -n 5p pass.txt | awk '{split($0,a," ")} {print a[10]}'`
team1passerR=`sed -n 5p pass.txt | awk '{split($0,a," ")} {print a[12]}'`
t1r=${team1passerR%.*}
if [ $t1r -lt 70 ]
	then effort1="not so good afternoon"
	else effort1="good afternoon"

fi
rm pass.txt


pass=`cat "$log" |  grep -A 1 -m 2 PASSING` ; echo $"$pass" > pass.txt
team2passerF=`sed -n 2p pass.txt | awk '{split($0,a," ")} {print a[1]}'`
team2passerL=`sed -n 2p pass.txt | awk '{split($0,a," ")} {print a[2]}'`
team2passerC=`sed -n 2p pass.txt | awk '{split($0,a," ")} {print a[3]}'`
team2passerA=`sed -n 2p pass.txt | awk '{split($0,a," ")} {print a[4]}'`
team2passerY=`sed -n 2p pass.txt | awk '{split($0,a," ")} {print a[5]}'`
team2passerP=`sed -n 2p pass.txt | awk '{split($0,a," ")} {print a[6]}'`
team2passerTD=`sed -n 2p pass.txt | awk '{split($0,a," ")} {print a[9]}'`
team2passerI=`sed -n 2p pass.txt | awk '{split($0,a," ")} {print a[10]}'`
team2passerR=`sed -n 2p pass.txt | awk '{split($0,a," ")} {print a[12]}'`
t2r=${team2passerR%.*}
if [ $t2r -lt 70 ]
	then effort2="not so good afternoon"
	else effort2="good afternoon"

fi
rm pass.txt

}

# this function merely generates the html page with the variables plugged in.  It first deletes the original if it exists.
content () {
# used when called by upload script, else we want to leave the logs for madcat
rm -f $output/"$folder"/"$team1"V"$team2".html


echo "<table class=\"tablehead\" border=\"0\">
	<tr>
		<td> <a href=\"http://$domain/$teams/$team1.$teamsext\" target=\"_new\"><img alt=\"$team1\" src=\"$images/$team1.gif\"></a></td>
		
		<td class=\"midhead\">-vs.-</td>		
 
		<td align=\"right\"><a href=\"http://$domain/$teams/$team2.$teamsext\" target=\"_new\"><img  alt=\"$team2\"  src=\"$images/$team2.gif\"></a>
		</td>
	</tr>
	<tr>
		<td><a href=\"http://$domain/${gamecentre}/gamecenter.php?gamelog="${log}"&year=${gamecentreyear}&skin=nat\">Game Stats</a>
		</td>
	</tr>
</table>


<table width=300 class=\"tab\">
	<tr class=\"scorehead\">
		<td>$teams</td>
		<td>1</td>
		<td>2</td>
		<td>3</td>
		<td>4</td>
		<td>OT</td>
		<td class=\"scoreheadF\">F</td>
	</tr>
		
	<tr class=\"scores\">
		<td style=\"text-align: left\">$team1</td>
		<td>$team1q1</td>
		<td>$team1q2</td>
		<td>$team1q3</td>
		<td>$team1q4</td>
		<td>$team1ot</td>
		<td class=\"scoreheadNUM\">$team1final</td>
	</tr>

	<tr class=\"scores\">
		<td style=\"text-align: left\">$team2</td>
		<td>$team2q1</td>
		<td>$team2q2</td>
		<td>$team2q3</td>
		<td>$team2q4</td>
		<td>$team2ot</td>
		<td class=\"scoreheadNUM\">$team2final</td>
	</tr>

</table>
<br>" > $output/"$folder"/"$team1"V"$team2".html


}



#==========================PROGRAM STARTS HERE==========================================================
#=======================================================================================================


cd "$logs"
for log in *.txt
do
# file supplied to script from either CMD line or HTML form.
# log=$1
# =========== Below combination extracts the week number from the file name.=========
# chops off the extension
tmp=${log%.*}
# erases everthing except for the last whole string in the array tmp
week=${tmp##* }
# gives us the string that will return "ps wx" if its the pre-season and "wx" for reg season.
season=${tmp##*- }
#this if statement makes season a blank var if log file is found to be a reg season one.  This is used in creating the output folder.
	if [[ $season == $week ]]
		then season=""
		else season="ps" 
	fi

# grabs all numbers from the supplied string, week.
weekX=`echo $week | sed "s/[^0-9]//g"`
# assign the folders name for this HTML page
folder=`echo "$season"w"$weekX"`

	# Check if the Week ?? Directory exists and if it doesnt ,create it and copy the default index file that brings in all other html files through a php require statement.
	if [ ! -d $output/"$folder" ]
		
		then mkdir -p $output/"$folder"
		chmod 775 $output/"$folder"
	fi

cd $output/"$folder" ; ln -s $dir/$wd/weeks.php index.php ; chmod 775 index.php ; cd $logs 1> /dev/null
rm -f scores.txt
sco=`grep -A 2 Team "$log"` ; echo $"$sco" > scores.txt

team1
team2
# pass
content
echo ""$team1"V"$team2".html created in <a href=$outputlink/$folder>$outputlink/$folder</a> <br>"

done

# echo -e "Processed: <br><br>"
# echo 
# for i in "$logs/"*.txt
# do echo -e "$i"
# echo "<br>"
# done
